--- debathena-discuss-10.0.11.orig/aclocal.m4
+++ debathena-discuss-10.0.11/aclocal.m4
@@ -79,8 +79,8 @@
 		CPPFLAGS="$CPPFLAGS -I$com_err/include"
 		LDFLAGS="$LDFLAGS -L$com_err/lib"
 	fi
-	AC_CHECK_LIB(com_err, com_err, ,
-		     [AC_MSG_ERROR(com_err library not found)])
+	AC_SEARCH_LIBS(com_err, com_err, ,
+		       [AC_MSG_ERROR(com_err library not found)])
 else
 	AC_MSG_ERROR(This package requires com_err.)
 fi])
@@ -96,10 +96,10 @@
 		CPPFLAGS="$CPPFLAGS -I$ss/include"
 		LDFLAGS="$LDFLAGS -L$ss/lib"
 	fi
-	AC_CHECK_LIB(curses, initscr)
-	AC_CHECK_LIB(readline, readline)
-	AC_CHECK_LIB(ss, ss_perror, ,
-		     [AC_MSG_ERROR(ss library not found)], -lcom_err)
+	AC_SEARCH_LIBS(initscr, curses)
+	AC_SEARCH_LIBS(readline, readline)
+	AC_SEARCH_LIBS(ss_perror, ss, ,
+		       [AC_MSG_ERROR(ss library not found)], -lcom_err)
 else
 	AC_MSG_ERROR(This package requires ss.)
 fi])
@@ -115,8 +115,8 @@
 		CPPFLAGS="$CPPFLAGS -I$regex/include"
 		LDFLAGS="$LDFLAGS -L$regex/lib"
 	fi
-	AC_CHECK_LIB(regex, regcomp, REGEX_LIBS=-lregex,
-		     [AC_MSG_ERROR(regex library not found)])
+	AC_SEARCH_LIBS(regcomp, regex, REGEX_LIBS=-lregex,
+		       [AC_MSG_ERROR(regex library not found)])
 else
 	AC_CHECK_FUNC(regcomp, :,
 		      [AC_MSG_ERROR(can't find POSIX regexp support)])
@@ -130,7 +130,7 @@
 	CPPFLAGS="$CPPFLAGS -I$motif/include"
 	LDFLAGS="$LDFLAGS -L$motif/lib"
 fi
-AC_CHECK_LIB(Xm, XmStringFree, :, [AC_MSG_ERROR(Motif library not found)])])
+AC_SEARCH_LIBS(XmStringFree, Xm, :, [AC_MSG_ERROR(Motif library not found)])])
 
 AC_DEFUN([ATHENA_MOTIF],
 [AC_ARG_WITH(motif,
@@ -156,16 +156,16 @@
 dnl ----- AFS -----
 
 AC_DEFUN([ATHENA_AFS_CHECK],
-[AC_CHECK_FUNC(insque, :, AC_CHECK_LIB(compat, insque))
-AC_CHECK_FUNC(gethostbyname, :, AC_CHECK_LIB(nsl, gethostbyname))
-AC_CHECK_FUNC(socket, :, AC_CHECK_LIB(socket, socket))
-AC_CHECK_FUNC(res_send, :, AC_CHECK_LIB(resolv, res_send))
+[AC_SEARCH_LIBS(insque, compat)
+AC_SEARCH_LIBS(gethostbyname, nsl)
+AC_SEARCH_LIBS(socket, socket)
+AC_SEARCH_LIBS(res_send, resolv)
 if test "$afs" != yes; then
 	CPPFLAGS="$CPPFLAGS -I$afs/include"
 	LDFLAGS="$LDFLAGS -L$afs/lib -L$afs/lib/afs"
 fi
-AC_CHECK_LIB(sys, pioctl, :, [AC_MSG_ERROR(AFS libraries not found)],
-	     -lrx -llwp -lsys -lafsutil)
+AC_SEARCH_LIBS(pioctl, sys, :, [AC_MSG_ERROR(AFS libraries not found)],
+	       -lrx -llwp -lsys -lafsutil)
 AFS_DIR=$afs
 AC_SUBST(AFS_DIR)])
 
@@ -195,9 +195,9 @@
 
 AC_DEFUN([ATHENA_KRB4_CHECK],
 [AC_REQUIRE([AC_CANONICAL_TARGET])
-AC_CHECK_FUNC(gethostbyname, :, AC_CHECK_LIB(nsl, gethostbyname))
-AC_CHECK_FUNC(socket, :, AC_CHECK_LIB(socket, socket))
-AC_CHECK_LIB(gen, compile)
+AC_SEARCH_LIBS(gethostbyname, nsl)
+AC_SEARCH_LIBS(socket, socket)
+AC_SEARCH_LIBS(compile, gen)
 if test "$krb4" != yes; then
 	CPPFLAGS="$CPPFLAGS -I$krb4/include"
 	if test -d "$krb4/include/kerberosIV"; then
@@ -250,14 +250,14 @@
 [AC_REQUIRE([AC_CANONICAL_TARGET])
 AC_SEARCH_LIBS(gethostbyname, nsl)
 AC_SEARCH_LIBS(socket, socket)
-AC_CHECK_LIB(gen, compile)
+AC_SEARCH_LIBS(compile, gen)
 if test "$krb5" != yes; then
 	CPPFLAGS="$CPPFLAGS -I$krb5/include"
 	LDFLAGS="$LDFLAGS -L$krb5/lib"
 fi
-AC_CHECK_LIB(krb5, krb5_init_context, :,
-	     [AC_MSG_ERROR(Kerberos 5 libraries not found)],
-	     -lk5crypto -lcom_err)])
+AC_SEARCH_LIBS(krb5_init_context, krb5, :,
+	       [AC_MSG_ERROR(Kerberos 5 libraries not found)],
+	       -lk5crypto -lcom_err)])
 
 AC_DEFUN([ATHENA_KRB5],
 [AC_ARG_WITH(krb5,
@@ -288,13 +288,13 @@
 dnl ----- Hesiod -----
 
 AC_DEFUN([ATHENA_HESIOD_CHECK],
-[AC_CHECK_FUNC(res_send, :, AC_CHECK_LIB(resolv, res_send))
+[AC_SEARCH_LIBS(res_send, resolv)
 if test "$hesiod" != yes; then
 	CPPFLAGS="$CPPFLAGS -I$hesiod/include"
 	LDFLAGS="$LDFLAGS -L$hesiod/lib"
 fi
-AC_CHECK_LIB(hesiod, hes_resolve, :,
-	     [AC_MSG_ERROR(Hesiod library not found)])])
+AC_SEARCH_LIBS(hes_resolve, hesiod, :,
+	       [AC_MSG_ERROR(Hesiod library not found)])])
 
 AC_DEFUN([ATHENA_HESIOD],
 [AC_ARG_WITH(hesiod,
@@ -320,12 +320,12 @@
 dnl ----- libares -----
 
 AC_DEFUN([ATHENA_ARES_CHECK],
-[AC_CHECK_FUNC(res_send, :, AC_CHECK_LIB(resolv, res_send))
+[AC_SEARCH_LIBS(res_send, resolv)
 if test "$ares" != yes; then
 	CPPFLAGS="$CPPFLAGS -I$ares/include"
 	LDFLAGS="$LDFLAGS -L$ares/lib"
 fi
-AC_CHECK_LIB(ares, ares_init, :, [AC_MSG_ERROR(libares not found)])])
+AC_SEARCH_LIBS(ares_init, ares, :, [AC_MSG_ERROR(libares not found)])])
 
 AC_DEFUN([ATHENA_ARES],
 [AC_ARG_WITH(ares,
@@ -354,7 +354,7 @@
 	CPPFLAGS="$CPPFLAGS -I$zephyr/include"
 	LDFLAGS="$LDFLAGS -L$zephyr/lib"
 fi
-AC_CHECK_LIB(zephyr, ZFreeNotice, :, [AC_MSG_ERROR(zephyr not found)])])
+AC_SEARCH_LIBS(ZFreeNotice, zephyr, :, [AC_MSG_ERROR(zephyr not found)])])
 
 AC_DEFUN([ATHENA_ZEPHYR],
 [AC_ARG_WITH(zephyr,
--- debathena-discuss-10.0.11.orig/debian/copyright
+++ debathena-discuss-10.0.11/debian/copyright
@@ -0,0 +1,23 @@
+This package was debianized as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The Athena source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk>, and is licensed as follows:
+
+  Copyright © 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- debathena-discuss-10.0.11.orig/debian/control
+++ debathena-discuss-10.0.11/debian/control
@@ -0,0 +1,59 @@
+Source: debathena-discuss
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, comerr-dev, ss-dev, libkrb5-dev, libzephyr-dev, bison
+Standards-Version: 3.7.2
+
+Package: debathena-discuss
+Architecture: any
+Provides: discuss
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcsh | c-shell, netbase
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+
+Package: debathena-discuss-emacs
+Architecture: all
+Provides: discuss-emacs
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (>= ${source:Version}), emacs | emacsen
+Description: Emacs interface to discuss
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains an Emacs interface to discuss.
+
+Package: debathena-discuss-server
+Architecture: any
+Provides: discuss-server
+Pre-Depends: adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${binary:Version}), libzephyr4-krb5 | libzephyr3-krb, netbase, openbsd-inetd | inet-superserver
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains the discuss server.
+
+Package: debathena-libdsk-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libdsk-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-libusp-dev (= ${binary:Version}), comerr-dev, libkrb5-dev
+Description: Development files for discuss library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libdsk headers and static libraries for 
+ development.
+
+Package: debathena-libusp-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libusp-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for UNIX Unified Stream Protocol library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libusp headers and static libraries for 
+ development.
--- debathena-discuss-10.0.11.orig/debian/compat
+++ debathena-discuss-10.0.11/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-discuss-10.0.11.orig/debian/control.in
+++ debathena-discuss-10.0.11/debian/control.in
@@ -0,0 +1,59 @@
+Source: debathena-discuss
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, comerr-dev, ss-dev, libkrb5-dev, libzephyr-dev, bison
+Standards-Version: 3.7.2
+
+Package: debathena-discuss
+Architecture: any
+Provides: discuss
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcsh | c-shell, netbase
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+
+Package: debathena-discuss-emacs
+Architecture: all
+Provides: discuss-emacs
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (>= ${source:Version}), emacs | emacsen
+Description: Emacs interface to discuss
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains an Emacs interface to discuss.
+
+Package: debathena-discuss-server
+Architecture: any
+Provides: discuss-server
+Pre-Depends: adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${binary:Version}), libzephyr4-krb5 | libzephyr3-krb, netbase, openbsd-inetd | inet-superserver
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains the discuss server.
+
+Package: debathena-libdsk-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libdsk-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-libusp-dev (= ${binary:Version}), comerr-dev, libkrb5-dev
+Description: Development files for discuss library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libdsk headers and static libraries for 
+ development.
+
+Package: debathena-libusp-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libusp-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for UNIX Unified Stream Protocol library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libusp headers and static libraries for 
+ development.
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-emacs.install
+++ debathena-discuss-10.0.11/debian/debathena-discuss-emacs.install
@@ -0,0 +1 @@
+usr/share/emacs/site-lisp/*.el
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-emacs.emacsen-remove
+++ debathena-discuss-10.0.11/debian/debathena-discuss-emacs.emacsen-remove
@@ -0,0 +1,10 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/debathena-discuss-emacs
+
+FLAVOR=$1
+PACKAGE=debathena-discuss-emacs
+
+if [ ${FLAVOR} != emacs ]; then
+    echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+    rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
--- debathena-discuss-10.0.11.orig/debian/changelog
+++ debathena-discuss-10.0.11/debian/changelog
@@ -0,0 +1,155 @@
+debathena-discuss (10.0.11-0debathena1) unstable; urgency=low
+
+  * Move the single-letter checks in trn_expr.y:yylex to the bottom of the
+    function so that they get caught after commands that start with those
+    letters. (Trac: #346)
+
+ -- Evan Broder <broder@mit.edu>  Sat, 29 Aug 2009 17:20:43 -0400
+
+debathena-discuss (10.0.10-0debathena2) unstable; urgency=low
+
+  * Depend on Kerberos-enabled zephyr instead of build-depending.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Jul 2009 14:38:10 -0400
+
+debathena-discuss (10.0.10-0debathena1) unstable; urgency=low
+
+  * Patch discuss server to work without krb4. Patch by Mitch Berger.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 23 Jul 2009 21:00:55 -0400
+
+debathena-discuss (10.0.9-0debathena1) unstable; urgency=low
+
+  * Fix local/dumb authentication needed for mail delivery and local
+    client usage. Patch by Mitch Berger. (Trac: #274)
+  * Always build without krb4.
+
+ -- Evan Broder <broder@mit.edu>  Wed, 22 Jul 2009 22:58:40 -0400
+
+debathena-discuss (10.0.8-0debathena1) unstable; urgency=low
+
+  * Add one-character aliases to discuss. Patch by Ben Kaduk. (Trac: #238)
+  * Squash some lintian warnings by switching from ${Source-Version} to
+    ${source:Version} and ${binary:Version}
+  * Use HAVE_KRB4 and HAVE_KRB5 instead of KERBEROS and KERBEROS5.
+  * Assorted changes to make discuss work with any combination of krb4 and
+    krb5 (including neither).
+  * Always build our discuss with krb5.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 18 May 2009 23:51:52 -0400
+
+debathena-discuss (10.0.7-0debathena3) unstable; urgency=low
+
+  * Configure the discuss inetd service.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 05 Mar 2009 15:17:20 -0500
+
+debathena-discuss (10.0.7-0debathena2) unstable; urgency=low
+
+  * Change DEB_AUTO_UPDATE_AUTOCONF to 2.50, not 1.
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 14:31:41 -0500
+
+debathena-discuss (10.0.7-0debathena1) unstable; urgency=low
+
+  * Revert a small part of the OS X com_err patch from 10.0.6 in favor of
+    changes to aclocal.m4
+  * Remove hard-coded paths from discuss-mode, in favor of getting them
+    from autoconf.
+  * Remove debathena-machtype as a dependency, as it's no longer needed.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 09 Jan 2009 21:47:33 -0500
+
+debathena-discuss (10.0.6-0debathena1) unstable; urgency=low
+
+  [ Evan Broder ]
+  * Add com_err support for delete and discuss on OS X.
+
+  [ Anders Kaseorg ]
+  * Depend emacs | emacsen instead of emacs22 | emacs21 | emacsen, so that
+    the emacs metapackage is pulled in by default.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 08 Jan 2009 16:35:04 -0500
+
+debathena-discuss (10.0.5-0debathena1) unstable; urgency=low
+
+  * Fix some trivial typos.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 19 Aug 2008 16:35:07 -0400
+
+debathena-discuss (10.0.4-0debathena1) unstable; urgency=low
+
+  * Fix a crash bug in edsc on 64-bit platforms.
+  * Fix date display in discuss on 64-bit platforms.
+
+ -- Greg Hudson <ghudson@mit.edu>  Mon, 30 Jun 2008 12:50:56 -0400
+
+debathena-discuss (10.0.3-0debathena1) unstable; urgency=low
+
+  * Fix a crash bug in edsc (int/long mismatch in short_time).
+  * Put edsc crash dumps in /tmp instead of /usr/tmp.
+
+ -- Greg Hudson <ghudson@mit.edu>  Wed, 11 Jun 2008 19:39:38 -0400
+
+debathena-discuss (10.0.2-0debathena1) unstable; urgency=low
+
+  * Stop assuming that long is 32 bits.
+  * Start assuming that int is 32 bits.
+
+ -- Greg Hudson <ghudson@mit.edu>  Wed, 11 Jun 2008 16:29:35 -0400
+
+debathena-discuss (10.0.1-0debathena1) unstable; urgency=low
+
+  * Fix obsolete names for Kerberos library functions, which no longer
+    worked on Mac OS X.  Patch from broder.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 06 Apr 2008 19:25:13 -0400
+
+debathena-discuss (10.0.0-0debathena2) unstable; urgency=low
+
+  * Actually use SERVERDIR, BINDIR, and INFODIR in config.h.sed.  (The
+    Makefile already interpolates these variables.)
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 06 Apr 2008 17:28:52 -0400
+
+debathena-discuss (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 15:54:22 -0400
+
+debathena-discuss (9.4.41-0debathena2) unstable; urgency=low
+
+  * Add emacs22 as a default alternative to emacs21 | emacsen.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 29 Oct 2007 21:40:29 -0400
+
+debathena-discuss (9.4.41-0debathena1) unstable; urgency=low
+
+  * New upstream release supporting Kerberos 5.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 23 Aug 2007 14:28:28 -0400
+
+debathena-discuss (9.4.30-0debathena3) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:41 -0400
+
+debathena-discuss (9.4.30-0debathena2) unstable; urgency=low
+
+  * Move edsc to debathena-discuss package.
+  * Don't link libreadline, because libss is stupid and tries to do so at
+    runtime.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 03:37:48 -0400
+
+debathena-discuss (9.4.30-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 22:57:54 -0500
--- debathena-discuss-10.0.11.orig/debian/rules
+++ debathena-discuss-10.0.11/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --without-krb4 --with-krb5 --with-zephyr
+DEB_MAKE_CLEAN_TARGET = clean
+DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
+
+clean::
+	find . -name Makefile -exec rm -f {} \;
+	rm -f client/cmds.c config.status config.log configure
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-emacs.emacsen-startup
+++ debathena-discuss-10.0.11/debian/debathena-discuss-emacs.emacsen-startup
@@ -0,0 +1,24 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50debathena-discuss-emacs.el
+;; for the Debian debathena-discuss-emacs package
+;;
+;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
+;; Modified by Dirk Eddelbuettel <edd@debian.org>
+;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>
+
+;; The debathena-discuss-emacs package follows the Debian/GNU Linux 'emacsen' policy and
+;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
+;; xemacs19, emacs20, xemacs20...).  The compiled code is then
+;; installed in a subdirectory of the respective site-lisp directory.
+;; We have to add this to the load-path:
+(let ((package-dir (concat "/usr/share/"
+                           (symbol-name flavor)
+                           "/site-lisp/debathena-discuss-emacs")))
+;; If package-dir does not exist, the debathena-discuss-emacs package must have
+;; removed but not purged, and we should skip the setup.
+  (when (file-directory-p package-dir)
+        (setq load-path (cons package-dir load-path))
+       (autoload 'discuss "discuss"
+           "Enter discuss mode for emacs and list meetings." t)))
+
--- debathena-discuss-10.0.11.orig/debian/debathena-libusp-dev.install
+++ debathena-discuss-10.0.11/debian/debathena-libusp-dev.install
@@ -0,0 +1,2 @@
+usr/include/usp
+usr/lib/libusp.a
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-server.dirs
+++ debathena-discuss-10.0.11/debian/debathena-discuss-server.dirs
@@ -0,0 +1 @@
+var/spool/discuss
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-emacs.emacsen-install
+++ debathena-discuss-10.0.11/debian/debathena-discuss-emacs.emacsen-install
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/debathena-discuss-emacs
+
+# Written by Jim Van Zandt <jrv@debian.org>, borrowing heavily
+# from the install scripts for gettext by Santiago Vila
+# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>.
+
+FLAVOR=$1
+PACKAGE=debathena-discuss-emacs
+
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
+echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+
+#FLAVORTEST=`echo $FLAVOR | cut -c-6`
+#if [ ${FLAVORTEST} = xemacs ] ; then
+#    SITEFLAG="-no-site-file"
+#else
+#    SITEFLAG="--no-site-file"
+#fi
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+
+ELDIR=/usr/share/emacs/site-lisp
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+FILES=`echo discuss*.el`
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+${FLAVOR} ${FLAGS} ${FILES}
+rm -f *.el path.el
+
+exit 0
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss.install
+++ debathena-discuss-10.0.11/debian/debathena-discuss.install
@@ -0,0 +1,12 @@
+usr/bin/crmtgs
+usr/bin/discuss
+usr/bin/dsc_setup
+usr/bin/dsgrep
+usr/bin/dsmail
+usr/bin/dspipe
+usr/bin/mkds
+usr/bin/pmtg
+usr/bin/rmds
+usr/lib/debathena-discuss/edsc
+usr/share/discuss
+usr/share/man/man1/*.1
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-server.install
+++ debathena-discuss-10.0.11/debian/debathena-discuss-server.install
@@ -0,0 +1,3 @@
+usr/bin/create_mtg_dir
+usr/sbin/discussd
+usr/sbin/disserve
--- debathena-discuss-10.0.11.orig/debian/debathena-libdsk-dev.install
+++ debathena-discuss-10.0.11/debian/debathena-libdsk-dev.install
@@ -0,0 +1,2 @@
+usr/include/discuss
+usr/lib/libdsk.a
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss.postinst
+++ debathena-discuss-10.0.11/debian/debathena-discuss.postinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-discuss
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^discuss[[:space:]]' /etc/services; then
+	    cat <<EOF >>/etc/services
+discuss		2100/tcp			# Networked conferencing.
+EOF
+	fi
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-server.postinst
+++ debathena-discuss-10.0.11/debian/debathena-discuss-server.postinst
@@ -0,0 +1,55 @@
+#!/bin/sh
+# postinst script for debathena-discuss
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^discuss[[:space:]]' /etc/services; then
+	    echo "Discuss		2100/tcp			# Networked conferencing." >>/etc/services
+	fi
+        update-inetd --add "discuss\tstream\ttcp\tnowait\tdiscuss\t/usr/sbin/discussd"
+	if ! getent passwd discuss >/dev/null; then
+	    adduser --system --no-create-home --disabled-password --home /var/spool/discuss --gecos "Discuss server" --group discuss
+	fi
+	if ! dpkg-statoverride --list /usr/sbin/disserve >/dev/null; then
+	    chown discuss:discuss /usr/sbin/disserve
+	    chmod a=rx,u+ws /usr/sbin/disserve
+	fi
+	if ! dpkg-statoverride --list /var/spool/discuss >/dev/null; then
+	    chown discuss:discuss /var/spool/discuss
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-server.prerm
+++ debathena-discuss-10.0.11/debian/debathena-discuss-server.prerm
@@ -0,0 +1,44 @@
+#!/bin/sh
+# prerm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        update-inetd --disable discuss
+    ;;
+
+    upgrade|deconfigure)
+        ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.11.orig/debian/debathena-discuss-server.postrm
+++ debathena-discuss-10.0.11/debian/debathena-discuss-server.postrm
@@ -0,0 +1,51 @@
+#!/bin/sh
+# postrm script for debathena-discuss-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+	if getent passwd discuss >/dev/null; then
+	    deluser --system discuss || :
+	fi
+    ;;
+
+    remove)
+        if hash update-inetd 2>/dev/null; then
+            update-inetd --remove "(#<off># )?discuss"
+        fi
+    ;;
+
+    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
